<?php
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
	    if($_SERVER['REQUEST_METHOD'] == "POST")
	    {
		    $filename = $_FILES['mediaUpload']['name'];
		    $target_path = "uploadsDir/mediafiles/";
		    $target_path = $target_path . $filename;
		    move_uploaded_file($_FILES['mediaUpload']['tmp_name'], $target_path);
	    }
    }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Insert Media</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="EditorStyle.css" rel="stylesheet" type="text/css" />

    <script language="javascript">
        function chkFile()
        {
            var filupload = document.getElementById("mediaUpload").value;
            if(filupload == "")
            {
                alert("Please select a file");
                return false;
            }    
            else
            {
                if(filupload.lastIndexOf(".avi") == -1 && filupload.lastIndexOf(".AVI") == -1 && filupload.lastIndexOf(".wmv") == -1 && filupload.lastIndexOf(".WMV") == -1 && filupload.lastIndexOf(".mp3") == -1 && filupload.lastIndexOf(".MP3") == -1)
                {
                    alert("The File you selected is not a MEDIA File");
                    return false;
                }
            }
        }
    
        var mediaTag;
        function loadMedia(mediaName)
        {            
            mediaTag = "<embed autostart='true' pluginspage=http://download.microsoft.com/download/winmediaplayer/nsplugin/6.4/WIN98/EN-US/wmpplugin.exe align=baseline src='uploadsDir/mediafiles/" + mediaName + "'" ;
            document.getElementById("mediaDiv").innerHTML = mediaTag + " type=application/x-mplayer2 width='150' height='150'></embed>";
        }
        
        function setMedia()
        {
            if(mediaTag)
            {
                var topWind = window.opener;
                topWind.editFrame.focus();
                var iWid = document.getElementById("medWidth").value;
                var iHei = document.getElementById("medHeight").value;
                if(iWid)
                    mediaTag += " width='"+ iWid + "'";
                if(iHei)
                    mediaTag += " height='"+ iHei + "'";
                var selectedRegion = topWind.editFrame.document.selection.createRange();
                selectedRegion.pasteHTML(mediaTag + "></embed>");
                window.close();
            }
            else
            {
                alert("You have not selected any media file");
            }
        }
        
    </script>

</head>
<body topmargin="0" bottommargin="0" rightmargin="0" leftmargin="0" class='txtStyle'
    bgcolor='#99ccff'>
    <form name="form1" method="post" enctype="multipart/form-data">
    <table align="Center" cellpadding="2" cellspacing="2">
        <tr>
            <td colspan="2" align="center">
                INSERT MEDIA
            </td>
        </tr>
        <tr>
            <td colspan="2" align="center">
                <input type="file" id="mediaUpload" name="mediaUpload" width="250" class="otherstyle">
                &nbsp;
				<input type="submit" class="buttonStyle2" value="Upload" onclick="return chkFile()">
            </td>
        </tr>
        <tr>
            <td align="center" class="txtStyle">
                List of Media
            </td>
            <td align="Center" class="txtStyle">
                Preview
            </td>
        </tr>
        <tr>
            <td align="center">
                <div id="listDiv" class="newDivStyle">
                     <table width="100%" cellpadding="0" cellspacing="0">
                    <?php 
						$dir = opendir("uploadsDir/mediafiles/");
						while (($file = readdir($dir)) !== false)
						{
							if($file != "." && $file!= "..")
						  		echo "<tr><td class='norStyle' onfocusout=\"this.className = 'norStyle'\" onclick=\"loadMedia('" . $file . "'); this.className = 'selStyle';\" style='cursor:default'>" . $file . "</td></tr>";
						}
						closedir($dir);
					 ?>
					 </table>
                </div>
            </td>
            <td align="Center">
                <div id="mediaDiv" class="newDivStyle">
                </div>
            </td>
        </tr>
        <tr>
            <td colspan="2" class="txtStyle">
                <table width="20%" cellpadding="2" cellspacing="1">
                    <tr>
                        <td align="left">
                            Width:
                        </td>
                        <td align="left">
                            <input type="text" class="txtStyle" id="medWidth" style="width: 25px" value="150" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Height:
                        </td>
                        <td align="left">
                            <input type="text" class="txtStyle" id="medHeight" style="width: 25px" value="150" />
                        </td>
                    </tr>
                </table> </td> </tr>
        <tr>
            <td colspan="2" align="right">
                <button id="btnOK" class="buttonStyle2" onclick="setMedia()">
                    OK</button>&nbsp;
                <button id="btnCancel" class="buttonStyle2" onclick="window.close()">
                    Cancel</button>
            </td>
        </tr>
    </table>
    </form>
</body>
</html>
